### Method

# Gtk CellRenderer get_preferred_width_for_height

#### Declaration [src]

    void
    gtk_cell_renderer_get_preferred_width_for_height (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      int height,
      int* minimum_width,
      int* natural_width
    )

#### Description [src]

Retrieves a cell renderers’s minimum and natural width if it were rendered to `widget` with the specified `height`.

#### Parameters

`widget` | `GtkWidget`
| The `GtkWidget` this cell will be rendering to.
| The data is owned by the caller of the function.
`height` | `int`
| The size which is available for allocation.
`minimum_width` | `int*`
| Location for storing the minimum size.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`natural_width` | `int*`
| Location for storing the preferred size.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.